import sys
import os
import re
import matplotlib.pyplot as plt
import numpy as np
import importlib

input_file = 'test.out'
output_file = 'figure' 


for arg in sys.argv:

	if(arg[0:2]=='-i'):
	    input_file = arg[2:]

	if(arg[0:2]=='-o'):
	    output_file = arg[2:]


f = open(input_file)

line = f.readline()
variables = line.split()

titles = line.split()

f.close()

data = np.loadtxt(input_file, skiprows=1)

for i in range(data.shape[1]):

    variables[i] = str.replace(variables[i],'(',' (')  
    variables[i] = str.replace(variables[i],'_',' ')  
    # variables[i] = str.replace(variables[i],'_','$\cdot$')  
    # variables[i] = str.replace(variables[i],'.',' ')  
    # variables[i] = str.replace(variables[i],'rhog','$\\rho_g$')  


# print(data.shape)

for i in range(1,data.shape[1]):
    fig = plt.figure(i)
    plt.plot(data[:,i],data[:,0])
    plt.rc('text', usetex=True)
    plt.xlabel(variables[i])
    plt.ylabel(variables[0])
    #axes = fig.add_subplot(111)
    fig_str = '_'+re.sub("[\(\[].*?[\)\]]", "" ,titles[i])
    fig_str = str.replace(fig_str,'.','_')
    plt.savefig(output_file+fig_str+'.png', bbox_inches='tight')

# plt.show()


